Clam Daemon(8)

NAME

clamd - an anti-virus daemon

SYNOPSIS

clamd [options]

DESCRIPTION

The daemon listens for incoming connections on Unix and/or TCP socket and scans files or directories on demand. It reads the configuration from @CFGDIR@/clamd.conf

COMMANDS

It's recommended to prefix clamd commands with the letter z (eg. zSCAN) to indicate that the command will be delimited by a NULL character and that clamd should continue reading command data until a newline is read. The null delimiter assures that the complete command and its entire argument will be processed as a single command. Alternatively commands may be prefixed with the letter n (e.g. nSCAN) to use a newline character as the delimiter. Clamd replies will honour the requested terminator in turn.

Clamd recognizes the following commands:

PING
    Check the server's state. It should reply with "PONG".

VERSION
    Print program and database versions.

RELOAD
    Reload the virus databases.

SHUTDOWN
    Perform a clean exit.

SCAN file/directory
    Scan a file or a directory (recursively) with archive support enabled (if not disabled in clamd.conf). A full path is required.

CONTSCAN file/directory
    Scan file or directory (recursively) with archive support enabled and don't stop the scanning when a virus is found.

MULTISCAN file/directory
    Scan file in a standard way or scan directory (recursively) using multiple threads (to make the scanning faster on SMP machines).

INSTREAM
    Scan a stream of data. The stream is sent to clamd in chunks, after INSTREAM, on the same socket on which the command was sent. This avoids the overhead of establishing new TCP connections and problems with NAT. The format of the chunk is: '<lenght><data>' where <length> is the size of the following data in bytes expressed as a 4 byte unsigned integer in network byte order and <data> is the actual chunk. Streaming is terminated by sending a zero-length chunk. Note: do not exceed StreamMaxLength as defined in clamd.conf.

FILDES
    Scan a file descriptor. After issuing a FILDES command a subsequent rfc2292/bsd4.4 style packet is sent to clamd carrying the file descriptor to be scanned inside the ancillary data.

IDSESSION, END
    Start/end a clamd session. Within a session multiple SCAN, INSTREAM, FILDES commands can be sent on the same socket without opening new connections. Replies from clamd will be in the form '<id>:<response>' where <id> is the request number (in ascii, starting from 1) and <response> is the usual clamd reply.

DEPRECATED COMMANDS

STREAM
    Scan stream - on this command clamd will return "PORT number" you should connect to and send data to scan. (DEPRECATED, use INSTREAM instead)

SESSION, END
    Start/end a clamd session which will allow you to run multiple commands per TCP session. (DEPRECATED, use IDSESSION instead)

OPTIONS

-h, --help
    Output help information and exit.

-V, --version
    Print the version number and exit.

-c FILE, --config-file=FILE
    Read configuration from FILE.

FILES

@CFGDIR@/clamd.conf

CREDITS
Please check the full documentation for credits.

AUTHOR

Tomasz Kojm <tkojm@clamav.net>

SEE ALSO

clamd.conf(5), clamdscan(1), clamscan(1), freshclam(1), sigtool(1), clamav-milter(8)